aboutsummaryrefslogtreecommitdiff
path: root/community/hugo
diff options
context:
space:
mode:
Diffstat (limited to 'community/hugo')
-rwxr-xr-xcommunity/hugo/build9
-rw-r--r--community/hugo/checksums1
-rw-r--r--community/hugo/depends1
-rw-r--r--community/hugo/sources1
-rw-r--r--community/hugo/version1
5 files changed, 13 insertions, 0 deletions
diff --git a/community/hugo/build b/community/hugo/build
new file mode 100755
index 00000000..549e29ad
--- /dev/null
+++ b/community/hugo/build
@@ -0,0 +1,9 @@
+#!/bin/sh -e
+
+export GOPATH=$PWD/gopath
+
+trap "go clean -modcache" EXIT INT
+go mod vendor
+
+CGO_ENABLED=0 go build
+install -Dm755 hugo "$1/usr/bin/hugo"
diff --git a/community/hugo/checksums b/community/hugo/checksums
new file mode 100644
index 00000000..8d73de85
--- /dev/null
+++ b/community/hugo/checksums
@@ -0,0 +1 @@
+9f1c983fe649f0d602481c848ebf863c9d3b3bc9c0e6a237c35e96e33a1b5d24 v0.85.0.tar.gz
diff --git a/community/hugo/depends b/community/hugo/depends
new file mode 100644
index 00000000..b0fc1c1a
--- /dev/null
+++ b/community/hugo/depends
@@ -0,0 +1 @@
+go make
diff --git a/community/hugo/sources b/community/hugo/sources
new file mode 100644
index 00000000..95284878
--- /dev/null
+++ b/community/hugo/sources
@@ -0,0 +1 @@
+https://github.com/gohugoio/hugo/archive/refs/tags/v0.85.0.tar.gz
diff --git a/community/hugo/version b/community/hugo/version
new file mode 100644
index 00000000..19f46613
--- /dev/null
+++ b/community/hugo/version
@@ -0,0 +1 @@
+0.85.0 1